Table of Contents

## Name

XEmptyRegion, XEqualRegion, XPointInRegion, XRectInRegion - determine if regions are empty or equal

## Syntax

Bool XEmptyRegion(r)
Region r;

Bool XEqualRegion(r1, r2)
Region r1, r2;

Bool XPointInRegion(r, x, y)
Region r;
int x, y;

int XRectInRegion(r, x, y, width, height)
Region r;
int x, y;
unsigned int width, height;

## Arguments

r
  Specifies the region.
r1
r2
  Specify the two regions.
width
height
  Specify the width and height, which define the rectangle. or the coordinates of the upper-left corner of the rectangle
x
y
  Specify the x and y coordinates, which define the point

## Description

The XEmptyRegion function returns True if the region is empty.

The XEqualRegion function returns True if the two regions have the same offset, size, and shape.

The XPointInRegion function returns True if the point (x, y) is contained in the region r.

The XRectInRegion function returns RectangleIn if the rectangle is entirely in the specified region, RectangleOut if the rectangle is entirely out of the specified region, and RectanglePart if the rectangle is partially in the specified region.

## See Also

XCreateRegion(3X11) , XIntersectRegion(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also